Loading...
Searching...
No Matches
CFGenerator Class Reference

virtual class for generators More...

`#include <cf_generator.h>`

## Public Member Functions

| CFGenerator ()
virtual | ~CFGenerator ()
virtual bool | hasItems () const
virtual void | reset ()
virtual CanonicalForm | item () const
virtual void | next ()
virtual CFGenerator * | clone () const
| CFGenerator ()
virtual | ~CFGenerator ()
virtual bool | hasItems () const
virtual void | reset ()
virtual CanonicalForm | item () const
virtual void | next ()
virtual CFGenerator * | clone () const
| CFGenerator ()
virtual | ~CFGenerator ()
virtual bool | hasItems () const
virtual void | reset ()
virtual CanonicalForm | item () const
virtual void | next ()
virtual CFGenerator * | clone () const

## Detailed Description

virtual class for generators

Definition at line 21 of file cf_generator.h.

## Constructor & Destructor Documentation

## CFGenerator() [1/3]

CFGenerator::CFGenerator | ( |  | ) |

inline

Definition at line 24 of file cf_generator.h.

{}

## ~CFGenerator() [1/3]

virtual CFGenerator::~CFGenerator | ( |  | ) |

inline virtual

Definition at line 25 of file cf_generator.h.

{}

## CFGenerator() [2/3]

CFGenerator::CFGenerator | ( |  | ) |

inline

Definition at line 689 of file factory.h.

{}

## ~CFGenerator() [2/3]

virtual CFGenerator::~CFGenerator | ( |  | ) |

inline virtual

Definition at line 690 of file factory.h.

{}

## CFGenerator() [3/3]

CFGenerator::CFGenerator | ( |  | ) |

inline

Definition at line 689 of file factory.h.

{}

## ~CFGenerator() [3/3]

virtual CFGenerator::~CFGenerator | ( |  | ) |

inline virtual

Definition at line 690 of file factory.h.

{}

## Member Function Documentation

## clone() [1/3]

virtual CFGenerator * CFGenerator::clone | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 30 of file cf_generator.h.

{ return new CFGenerator();}
CFGenerator::CFGenerator
CFGenerator()
Definition cf_generator.h:24

## clone() [2/3]

virtual CFGenerator * CFGenerator::clone | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 695 of file factory.h.

{ return new CFGenerator();}

## clone() [3/3]

virtual CFGenerator * CFGenerator::clone | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 695 of file factory.h.

{ return new CFGenerator();}

## hasItems() [1/3]

virtual bool CFGenerator::hasItems | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 26 of file cf_generator.h.

{ return false; }

## hasItems() [2/3]

virtual bool CFGenerator::hasItems | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 691 of file factory.h.

{ return false; }

## hasItems() [3/3]

virtual bool CFGenerator::hasItems | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 691 of file factory.h.

{ return false; }

## item() [1/3]

virtual CanonicalForm CFGenerator::item | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 28 of file cf_generator.h.

{ return 0; }

## item() [2/3]

virtual CanonicalForm CFGenerator::item | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 693 of file factory.h.

{ return 0; }

## item() [3/3]

virtual CanonicalForm CFGenerator::item | ( |  | ) | const

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 693 of file factory.h.

{ return 0; }

## next() [1/3]

virtual void CFGenerator::next | ( |  | ) |

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 29 of file cf_generator.h.

{};

## next() [2/3]

virtual void CFGenerator::next | ( |  | ) |

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 694 of file factory.h.

{};

## next() [3/3]

virtual void CFGenerator::next | ( |  | ) |

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 694 of file factory.h.

{};

## reset() [1/3]

virtual void CFGenerator::reset | ( |  | ) |

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 27 of file cf_generator.h.

{};

## reset() [2/3]

virtual void CFGenerator::reset | ( |  | ) |

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 692 of file factory.h.

{};

## reset() [3/3]

virtual void CFGenerator::reset | ( |  | ) |

inline virtual

Reimplemented in AlgExtGenerator, AlgExtGenerator, AlgExtGenerator, FFGenerator, FFGenerator, FFGenerator, GFGenerator, GFGenerator, GFGenerator, IntGenerator, IntGenerator, and IntGenerator.

Definition at line 692 of file factory.h.

{};

The documentation for this class was generated from the following files:

- factory/cf_generator.h
- factory/factory.h
- factory/include/factory/factory.h